layui.extend({
    common    :   'js/common',
    dropdown: 'layui/lay/modules/dropdown',
}).use(['table', 'jquery','layer','common','form','util','laydate','dropdown'], function () {
    //  弹窗插件
    var layer = layui.layer;
    //  Jquery插件
    var $ = layui.jquery;
    //  引入公共模块
    var common = layui.common;
    //  引入表格
    var table = layui.table;
    //引入表单
    var form = layui.form;
    //引入工具
    var util=layui.util;
    //引入时间日期
    var laydate=layui.laydate;
    var pushId = $('input[name="pushId"]').val();
    var layuiTable=common.layuiTable.render(table,{
        elem: '#table-id'
        ,url: '/estate/noticePushDeviceDetails/list?&pushId=' + pushId
        ,method:'GET'//  接口http请求类型，默认：get
        ,cellMinWidth: 80//全局定义常规单元格的最小宽度，
        , cols: [[
            { field: 'deviceName', title: '设备名称',align: 'center'}
            ,{ field: 'serialNumber', title: '设备序列号', align: 'center'}
            ,{ field: 'installPath', title: '安装位置' ,align: 'center'}
            ,{ field: 'xqName', title: '小区名称', align: 'center'}
            ,{ field: 'dyName', title: '单元名称', align: 'center' }
            ,{ field: 'pushStatus', title: '发布结果' ,toolbar: '#pushStatus',align: 'center'}
            ,{ field: 'remark', title: '备注', align: 'center'}
            ,{ title: '操作',width:180,align: 'center', toolbar: '#table-useradmin-webuser' }
        ]]
        //  开启分页功能
        , page: true
    });


    //工具条事件 lay-filter="table-id"
    table.on('tool(table-id)', function(obj){
        var data = obj.data;
        switch(obj.event) {
            case 'delete':
                layer.confirm('确定要删除该设备的公告吗？', function (index) {
                    var ids = [];
                    ids.push(data.id);
                    $.ajax({
                        url : '/estate/noticePushDeviceDetails/delete',
                        type : 'POST',
                        data : {
                            ids : ids.toString(),
                        },
                        success : function(result){
                            if (result.data){
                                layer.msg("删除成功",{time:1000});
                                layuiTable.reload();
                                layer.close(index);//关闭弹窗提示
                            } else {
                                layer.alert("禁用成功");
                            }
                        }
                    })
                });
            break;
        }
    });
     /**
     * 查询加载
     */
     var queryTableFn = function(){
         var xqName = $('#xqName').val();
         var dyName = $('#dyName').val();
         var deviceName = $('#deviceName').val();
         var serialNumber = $('#serialNumber').val();
         var pushStatus = $('#search_pushStatus').val();

        //重新加载表格
        layuiTable.reload({
            where:{
                xqName         :  xqName,
                dyName         :  dyName,
                deviceName     :  deviceName,
                serialNumber   :  serialNumber,
                pushStatus     :  pushStatus
            }
            //重新从第1页开始
            ,page: {
                curr: 1
            }
        });
    };

    //监听搜索
    form.on('submit(query)', function(){
        queryTableFn();
    });

    //监听重置查询
    form.on('submit(reset)', function(){
        //清空条件输入框
        $('#xqName').val('');
        $('#dyName').val('');
        $('#deviceName').val('');
        $('#serialNumber').val('');
        $("#pushStatus").val("");
        // 刷新select标签
        form.render('select');
        queryTableFn();
    });
});
